import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';
import 'package:gg_actionsheet/gg_actionsheet.dart';

class ExampleActionSheet extends StatefulWidget{
  @override
  State<StatefulWidget> createState() {
    return _ExampleActionSheetState();
  }
}

void showChoiceType(BuildContext context){
  GGActionSheet.show(context, '我是标题', [{'title':'内容1'},new Map.from({'title':'内容2'}),new Map.from({'title':'内容3'})], '取消', 'title');
}

void showTopToast(BuildContext context){
  GGTopToast.show(
    context: context,
    content: '',
    icon: Icon(Icons.local_activity,color: Colors.red),
    backgroundColor: Colors.white
  );
}

class _ExampleActionSheetState extends State<ExampleActionSheet>{
  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        title: Text('ActionSheet'),
      ),
      body: Container(
        width: double.infinity,
        height: double.infinity,
        child: Column(
          children: <Widget>[
            Center(
              child: FlatButton(
                child: Text('点我啊'),
                onPressed: (){
                  showChoiceType(context);
                },
              )
            ),
            Center(
              child: FlatButton(
                child: Text('我是顶部弹窗'),
                onPressed: (){
                  showTopToast(context);
                },
              )
            ) 
          ]
        )
      ),
    );
  }
}